Bug 245265 - devel/libopkele: compile errors on FreeBSD 12.x
Summary: devel/libopkele: compile errors on FreeBSD 12.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-02 02:27 UTC by SBB
Modified: 2020-07-09 10:18 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (zhoushuqun)


Attachments
Poudriere libopkele build log (40.69 KB, text/plain)
2020-04-02 02:27 UTC, SBB
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description SBB 2020-04-02 02:27:41 UTC
Created attachment 212964 [details]
Poudriere libopkele build log

Error snippet as follows, full log atached.


basic_rp.cc:83:4: error: member access into incomplete type 'DH' (aka 'dh_st')
        dh->p = util::dec_to_bignum(data::_default_p);
          ^
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'dh_st'
typedef struct dh_st DH;
               ^
basic_rp.cc:84:4: error: member access into incomplete type 'DH' (aka 'dh_st')
        dh->g = util::dec_to_bignum(data::_default_g);
          ^
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'dh_st'
typedef struct dh_st DH;
               ^
basic_rp.cc:90:54: error: member access into incomplete type 'DH' (aka 'dh_st')
        req.set_field("dh_modulus",util::bignum_to_base64(dh->p));
                                                            ^
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'dh_st'
typedef struct dh_st DH;
               ^
basic_rp.cc:91:50: error: member access into incomplete type 'DH' (aka 'dh_st')
        req.set_field("dh_gen",util::bignum_to_base64(dh->g));
                                                        ^
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'dh_st'
typedef struct dh_st DH;
               ^
basic_rp.cc:92:62: error: member access into incomplete type 'DH' (aka 'dh_st')
        req.set_field("dh_consumer_public",util::bignum_to_base64(dh->pub_key));
                                                                    ^
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'dh_st'
typedef struct dh_st DH;
Comment 1 Li-Wen Hsu freebsd_committer 2020-07-05 04:17:25 UTC
I can built it in poudriere successfully now, can you check again if the issue still exists?
Comment 2 SBB 2020-07-07 01:45:58 UTC
Still doesn't work for me.

Are you building against base OpenSSL or ports? I'm building against base on FreeBSD 12.
Comment 3 Li-Wen Hsu freebsd_committer 2020-07-08 09:20:28 UTC
(In reply to SBB from comment #2)
I use poudriere with unmodified ports tree and 12.1-R jail.
Comment 4 SBB 2020-07-08 21:01:16 UTC
(In reply to Li-Wen Hsu from comment #3)
That's really odd.

I just made sure my system was fully up-to-date with the latest patches from freebsd-update, updated ports and manually updated the libopkele port files just to make sure. Then I tried building it again and I get the same errors as shown in my original post which is also the same error that's given as the reason for marking the port as broken.

Any ideas of anything I can try?
Comment 5 Sutra 2020-07-09 05:01:13 UTC
(In reply to SBB from comment #4)

Maybe this PR https://github.com/hacker/libopkele/pull/7 helps.
Comment 6 commit-hook freebsd_committer 2020-07-09 10:14:07 UTC
A commit references this bug:

Author: danfe
Date: Thu Jul  9 10:13:28 UTC 2020
New revision: 541740
URL: https://svnweb.freebsd.org/changeset/ports/541740

Log:
  - Unbreak the build against modern versions of OpenSSL
  - While at it, define LICENSE (MIT) and LICENSE_FILE

  PR:	245265

Changes:
  head/devel/libopkele/Makefile
  head/devel/libopkele/distinfo
Comment 7 Alexey Dokuchaev freebsd_committer 2020-07-09 10:18:44 UTC
Should be fixed as of ports r541740, thanks.